BiDiEngine (CMDB Model API)
Keywords: com.collation.platform.model.util.BiDiEngine class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class BiDiEngine

    java.lang.Object
      com.collation.platform.model.util.BiDiEngine

    public class BiDiEngine

extends java.lang.Object

Constructor Summary
`BiDiEngine()`

Method Summary
`static java.lang.String` | `attemptAutomaticDetectionOfBiDiFormat(ModelObject mo)`
`static java.lang.String` | `BiDiStringTransformation(java.lang.String strIn, java.lang.String formatIn, java.lang.String formatOut)` This API performs the BiDi transformation on strings The BiDi transformed string is returned
`static void` | `getFlatListOfModelObjectAndAttribute(ModelObject mo, java.util.HashSet moList, java.util.HashSet attrList)` getFlatListOfModelObjectAndAttribute fills in 2 HashSets for a given ModelObject.
`static boolean` | `verifyBiDiFormatValue(java.lang.String format)` This API verifies if given string is valid

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiDiEngine

    public BiDiEngine()

Method Detail

### BiDiStringTransformation

    public static java.lang.String BiDiStringTransformation(java.lang.String strIn,
                                                            java.lang.String formatIn,
                                                            java.lang.String formatOut)

  This API performs the BiDi transformation on strings The BiDi transformed string is returned

### verifyBiDiFormatValue

    public static boolean verifyBiDiFormatValue(java.lang.String format)

  This API verifies if given string is valid

### getFlatListOfModelObjectAndAttribute

    public static void getFlatListOfModelObjectAndAttribute(ModelObject mo,
                                                            java.util.HashSet moList,
                                                            java.util.HashSet attrList)

  getFlatListOfModelObjectAndAttribute fills in 2 HashSets for a given ModelObject. The first one is filled with all the ModelObjects included in this Model Object The second one is filled with all the String attributes included in this Model object and its childs

  Parameters:
    `mo:ModelObject` - - ModelObject tree
    `moList:HashSet` - - List of the MOs included in mo
    `attrList:HashSet` - - List of String attributes included in mo

### attemptAutomaticDetectionOfBiDiFormat

    public static java.lang.String attemptAutomaticDetectionOfBiDiFormat(ModelObject mo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD